READ_BBT(9)

NAME
read_bbt - [GENERIC] Read the bad block table starting from page

SYNOPSIS

int read_bbt(struct mtd_info * mtd, uint8_t * buf, int page, int num, struct nand_bbt_descr * td, int offs);

ARGUMENTS

mtd
    MTD device structure

buf
    temporary buffer

page
    the starting page

num
    the number of bbt descriptors to read

td
    the bbt describtion table

offs
    block number offset in the table

DESCRIPTION

Read the bad block table starting from page.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT